#!/usr/bin/python

# Some examples showing how to use most of
# the functions in the MythTV module.

try:
    from MythTV.MythTV import *
    from MythTV.MythLog import *
    
except:
    print "MythTV module cannot be initialized."



myMyth = MythTV()

# Get a value for one of the settings. See the
# settings table for possible settings.
print 'Theme setting:'
print myMyth.getSetting('mythtv', 'Theme')

# Get all recordings.
recording_list =  myMyth.getRecordingList('Delete')
print '\n\nLast 10 recordings, excluding Live TV\n'
count = 0
for i in range(len(recording_list)):
   # Ignore LiveTV and only print fist 10 recordings.
   if not(recording_list[i].recgroup == 'LiveTV') :
       count = count + 1
       print recording_list[i].title
       if count > 9:
           break

# Get upcoming recordings.
recording_list =  myMyth.getUpcomingRecordings()
print '\n\nUpcoming recordings\n'

for i in range(len(recording_list)):
   print recording_list[i].title


# Get all scheduled recordings.
recording_list =  myMyth.getAllScheduledRecordings()
print '\n\nScheduled recordings\n'

for i in range(len(recording_list)):
   print recording_list[i].title


# Get list of 10 programs about to expire.
expiring_list =  myMyth.getExpiring()
count = 0
print '\n\nList of expiring programs, excluding Live TV:\n'

for i in range(len(expiring_list)):
   # Ignore LiveTV and only print fist 10 recordings.
   if not(expiring_list[i].recgroup == 'LiveTV') :
       count = count + 1
       print expiring_list[i].title
       if count > 9:
           break

# Get list of scheduled recordings.
recording_list =  myMyth.getScheduledRecordings()
print '\n\nList of next  scheduled programs:\n'

for i in range(len(recording_list)):
       print recording_list[i].title


# Get list of upcoming recordings.

recording_list =  myMyth.getUpcomingRecordings()
print '\n\nList of  upcoming recordings:\n'

for i in range(len(recording_list)):
       print recording_list[i].title


# Get guide data through to
print '\nGuide data until:'
print myMyth.getGuideDataThrough()


print '\nUptime in seconds:'
print myMyth.queryUptime()

print '\nRecorder list:'
print myMyth.getRecorderList()

print '\nFree recorder list:'
print myMyth.getFreeRecorderList()

# Get details for recorder 1
myRecorder = myMyth.getRecorderDetails(1)
print '\nDeatils for recorder 1:'
print 'Card type: ' + myRecorder.cardtype
print 'Video device: ' + myRecorder.videodevice
print 'Host name : ' + myRecorder.hostname


# Print all channel names.
channels =  myMyth.getChannels()
for i in range(len(channels)):
   print channels[i].name


# Print guide data. Note you must pass
# valid channel and date, as no sanity
# checking is performed.
guide = myMyth.getGuideData('1002', '2008-03-17')
print '\nGuide data:'
for i in range(len(guide)):
   print guide[i].title
